Skip to content

学生老师匹配-用户端 API ​

由 scripts/generate-api-docs.ts 自动生成 —— 请勿手改 共 10 个端点

POST /matching/cancel ​

无描述

响应 ​

状态码说明
201

GET /matching/stats/{topic} ​

无描述

请求参数 ​

参数名位置类型必填说明
topicpathstring✅

响应 ​

状态码说明
default

POST /matching/students/cancel ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/CancelMatchingDto"
}

响应 ​

状态码说明
201

POST /matching/students/cancelPair ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/CancelMatchingDto"
}

响应 ​

状态码说明
201

POST /matching/students/complete/{sessionId} ​

无描述

请求参数 ​

参数名位置类型必填说明
sessionIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/TeacherScoreDto"
}

响应 ​

状态码说明
201

POST /matching/students/joinPair ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/StartMatchingDto"
}

响应 ​

状态码说明
201

POST /matching/students/start ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/StartMatchingDto"
}

响应 ​

状态码说明
201

POST /matching/teachers/cancel ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/CancelMatchingDto"
}

响应 ​

状态码说明
201

POST /matching/teachers/complete/{sessionId} ​

无描述

请求参数 ​

参数名位置类型必填说明
sessionIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/CompleteSessionDto"
}

响应 ​

状态码说明
201

POST /matching/teachers/join ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/JoinMatchingDto"
}

响应 ​

状态码说明
201

Released under the MIT License.